Inbound Funds Simulators
Inbound funds simulator endpoints allow you to trigger inbound-funds events in non-production environments for testing.
Sandbox Only. These endpoints are only
available in non-production environments. They will return a 404
error in production.
Overview
In production, inbound funds are credited when Flowbrite receives external payments to your collection accounts. In sandbox environments, you can simulate these credits using dedicated simulator endpoints.
All simulator endpoints require the X-IDEMPOTENCY-KEY header. Please refer to the Idempotency Guide for more information.
Credit Wallet
Simulate an inbound funds credit to a client wallet in sandbox environments. This endpoint requires the X-IDEMPOTENCY-KEY header.
Request Body
- Name
ccyCode- Type
- string Required
- Type
- Description
The 3-letter ISO currency code for the inbound funds credit.
- Name
amount- Type
- number Required
- Type
- Description
The inbound funds amount to credit.
- Name
narrative- Type
- string
- Type
- Description
Optional payment narrative associated with the inbound credit.
- Name
sender- Type
- object
- Type
- Description
Optional sender details. Supported fields are
name,address,countryCode,accountNumber, androutingCode.
Request
curl -X POST https://api.flowbrite.io/v1/simulators/inbound-funds/credit \
-H "X-API-KEY: {api_key}" \
-H "X-IDEMPOTENCY-KEY: {idempotency_key}" \
-H "Content-Type: application/json" \
-d '{
"ccyCode": "USD",
"amount": 1250.5,
"narrative": "Invoice payment",
"sender": {
"name": "Acme Corp",
"address": "1 High Street, London",
"countryCode": "GB",
"accountNumber": "12345678",
"routingCode": "00-00-00"
}
}'
Responses
Example Responses
{
"data": {
"id": "pi_X01JTK7MABCDEF1234567890",
"status": "ACKNOWLEDGED",
"statusHistory": [
{
"status": "PENDING",
"statusReason": null,
"occurredOn": "2025-05-30T10:00:00"
},
{
"status": "ACKNOWLEDGED",
"statusReason": null,
"occurredOn": "2025-05-30T10:01:00"
}
]
}
}